%define subrel 1
Name:          doctype-changer
Version:       1.1
Release:       %mkrel 3
Summary:       Modify or remove a DOCTYPE declaration from a byte stream as it is fed into an XML parser
Group:         Development/Java
License:       ASL
Url:           http://doctypechanger.sourceforge.net/
Source0:       http://sourceforge.net/projects/doctypechanger/files/doctypechanger/1.1/DoctypeChanger-1.1-src.tar.gz
Source1:       http://repository.jboss.org/maven2/net/socialchange/doctype/doctype-changer/1.1/doctype-changer-1.1.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
DoctypeChanger is a small Java utility that lets you add, modify or remove a DOCTYPE declaration from a
byte stream as it is fed into an XML parser. This gives you complete control over which DTD, if any,
your XML is validated against.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n DoctypeChanger-%{version}-src

find . -name "*.jar" -delete
find . -name "*.class" -delete
perl -pi -e 's/^Class-Path:.*\n$//g' src/etc/Manifest.mf

%build

%{ant} -Dbuild.sysclasspath=only -Dno.ctags=true jar javadocs docs

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 0644 build/DoctypeChanger.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -sf %{name}.jar %{buildroot}%{_javadir}/DoctypeChanger-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  ln -sf %{name}-%{version}.jar DoctypeChanger-%{version}.jar
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/apidocs/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/DoctypeChanger-%{version}.jar
%{_javadir}/DoctypeChanger.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc PROJECT.txt src/etc/licenses/LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat May 16 2015 neoclust <neoclust> 1.1-3.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 umeabot <umeabot> 1.1-3.mga4
+ Revision: 503931
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 349054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 21 2011 gil <gil> 1.1-1.mga2
+ Revision: 157071
- imported package doctype-changer

